<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:35 GMT 2018 -->
<title>MappingModel</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MappingModel";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MappingModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/MainGUI.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/NewKeyMapPopup.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/MappingModel.html" target="_top">Frames</a></li>
<li><a href="MappingModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">mapping</div>
<h2 title="Class MappingModel" class="title">Class MappingModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>mapping.MappingModel</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MappingModel</span>
extends java.lang.Object</pre>
<div class="block">Class to represent the hierarchy of keyboard maps.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Matthew Henderson - University of Glasgow Masters Project 2018</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#MappingModel--">MappingModel</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#createNewKeyMap-java.lang.String-java.lang.String-">createNewKeyMap</a></span>(java.lang.String&nbsp;name,
               java.lang.String&nbsp;parent)</code>
<div class="block">Creates a new keymap and adds it the keymap tree.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#deleteKeymap-java.lang.String-">deleteKeymap</a></span>(java.lang.String&nbsp;keymap)</code>
<div class="block">Deletes a keymap from the model.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../mapping/Key.html" title="class in mapping">Key</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKey-java.lang.String-java.lang.String-">getKey</a></span>(java.lang.String&nbsp;selectedKey,
      java.lang.String&nbsp;keyMapName)</code>
<div class="block">Returns the Key object for a specified key and specified keymap.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKeyMap-java.lang.String-">getKeyMap</a></span>(java.lang.String&nbsp;keyMapName)</code>
<div class="block">Returns the KeyMap object of the specified name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a>&lt;<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKeyMapTree--">getKeyMapTree</a></span>()</code>
<div class="block">Returns the tree of keymaps.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns whether the keymap tree is empty.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/MappingModel.html#isKeyMapNameAvailable-java.lang.String-">isKeyMapNameAvailable</a></span>(java.lang.String&nbsp;keyMapName)</code>
<div class="block">Returns whether the keymap name is available.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MappingModel--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MappingModel</h4>
<pre>public&nbsp;MappingModel()</pre>
<div class="block">Class constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isKeyMapNameAvailable-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isKeyMapNameAvailable</h4>
<pre>public&nbsp;boolean&nbsp;isKeyMapNameAvailable(java.lang.String&nbsp;keyMapName)</pre>
<div class="block">Returns whether the keymap name is available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keyMapName</code> - the proposed name of the keymap</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the keymap name is   
                                                available, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="createNewKeyMap-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewKeyMap</h4>
<pre>public&nbsp;<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&nbsp;createNewKeyMap(java.lang.String&nbsp;name,
                              java.lang.String&nbsp;parent)</pre>
<div class="block">Creates a new keymap and adds it the keymap tree.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the keymap to be created</dd>
<dd><code>parent</code> - the name of the keymap that will be the parent
                                        of the new keymap. To add the keymap at the top
                                        of the tree pass <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created KeyMap object</dd>
</dl>
</li>
</ul>
<a name="getKey-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKey</h4>
<pre>public&nbsp;<a href="../mapping/Key.html" title="class in mapping">Key</a>&nbsp;getKey(java.lang.String&nbsp;selectedKey,
                  java.lang.String&nbsp;keyMapName)</pre>
<div class="block">Returns the Key object for a specified key and specified keymap.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the String that uniquely identifies the key</dd>
<dd><code>keyMapName</code> - the name of the keymap that the key is associated with</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Key object</dd>
</dl>
</li>
</ul>
<a name="getKeyMap-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyMap</h4>
<pre>public&nbsp;<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&nbsp;getKeyMap(java.lang.String&nbsp;keyMapName)</pre>
<div class="block">Returns the KeyMap object of the specified name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keyMapName</code> - the name of the keymap</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the KeyMap object associated with the specified name</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Returns whether the keymap tree is empty.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the keymap tree is empty,   
                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getKeyMapTree--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyMapTree</h4>
<pre>public&nbsp;<a href="../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a>&lt;<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&gt;&nbsp;getKeyMapTree()</pre>
<div class="block">Returns the tree of keymaps.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all keymaps in the model stored in a custom tree representation</dd>
</dl>
</li>
</ul>
<a name="deleteKeymap-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteKeymap</h4>
<pre>public&nbsp;void&nbsp;deleteKeymap(java.lang.String&nbsp;keymap)</pre>
<div class="block">Deletes a keymap from the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymap</code> - the name of the keymap to be deleted</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MappingModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/MainGUI.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/NewKeyMapPopup.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/MappingModel.html" target="_top">Frames</a></li>
<li><a href="MappingModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
